Skip to content

Upload file bytes directly, local development only

POST
/api/v1/files/upload-local/{uploadId}
curl --request POST \
--url https://app.avera.io/api/v1/files/upload-local/example \
--header 'Content-Type: application/json' \
--data '{ "file": "binary" }'

Available only when the storage provider is local, which cannot serve presigned URLs.

uploadId
required
string
Media typeapplication/json
object
file
required
string format: binary

Example generated

{
"file": "binary"
}

OK

Media type*/*
object
key
additional properties
string